package com.ibeetl.admin.flow.dao;

import com.ibeetl.admin.flow.entity.DirectedSmsTemplateEntity;
import org.beetl.sql.core.annotatoin.Param;
import org.beetl.sql.core.annotatoin.SqlResource;
import org.beetl.sql.core.engine.PageQuery;
import org.beetl.sql.core.mapper.BaseMapper;

import java.util.List;

@SqlResource(value = "flow.smsTemplate")
public interface DirectedSmsTemplateDao extends BaseMapper<DirectedSmsTemplateEntity> {

    List<DirectedSmsTemplateEntity> findSmsTemplateByCpid(@Param("cpid") String cpid);

    DirectedSmsTemplateEntity findSmsTemplateBySmstype(@Param("smstype") String smstype);

    PageQuery<DirectedSmsTemplateEntity> searchSmstemplate(PageQuery<DirectedSmsTemplateEntity> page);

    void saveSmstemplate(DirectedSmsTemplateEntity entity);

    void updateSmstemplate(DirectedSmsTemplateEntity entity);

    void deleteSmstemplate(DirectedSmsTemplateEntity entity);

}
